/**
 *
 */

#include <stdio.h>
#include "../src/forms.h"

int test_fields() {
	FormField *fld = NULL;
	int count;
	int i;
	int n;

	printf("Testing FormField...\n");
	i = fld_count(NULL);
	if (i != 0) {
		printf("Count error on fld_count(NULL): %d\n", i);
		return 1;
	}

	fld = fld_new("First");

	i = fld_count(fld);
	if (i != 1) {
		printf("Count error after adding one field (%d)\n", 1);
		return 2;
	}

	if (strcmp("First", fld_getname(fld, 0))) {
		printf("Name comparison with first added field failed (%s)\n", fld_getname(fld, 0));
		return 3;
	}

	fld_add(fld, "Second");
	i = fld_count(fld);
	if (i != 2) {
		printf("Count error after adding one field (%d)\n", i);
		return 4;
	}

	if (strcmp("Second", fld_getname(fld, 1))) {
		printf("Name comparison with second added field failed (%s)\n", fld_getname(fld, 1));
		return 5;
	}

	count = fld_count(fld);
	for (i=0; i<n; i++) {
		char *name;
		char *val;
		name = fld_getname(fld, i);
		val = fld_getvalue(fld, i);
	}
}

int main() {
	int err;

	err = test_fields();
	if (err)
		return err;

	printf("No errors found.\n");
	return 0;
}

